<div class="login-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <form [formGroup]="jobSearchForm">
                        <div class="form-group">
                            <div class="row">
                                <div class="col-4"><label>Industry</label></div>
                                <div class="col-8">
                                    <!-- <select class="form-control select-box" formControlName="industryId"
                                    (change)="selectJobIndustry($event.target.value)">
                                        <option value="">Select Industry</option>
                                        <option [value]="industry.industryId" *ngFor="let industry of industryList ">
                                          {{industry.industryName}}
                                        </option>
                                    </select> -->
                                    <ng-select formControlName="industryId"  [multiple]="true"
                                    [closeOnSelect]="false" [searchable]="false" 
                                    placeholder="Select Industry" dropdownPosition="bottom"
                                    (change)="selectJobIndustry($event)">
                                    <ng-option [value]='industry.industryId' *ngFor="let industry of industryList"  >
                                        {{industry.industryName}}
                                    </ng-option>
                                </ng-select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-4">
                                  <label class="with-info">
                                    Job Role
                                    <a href="javascript:void(0)" class="form-info ml-2" tooltip="Please select Your Industry to get the Job Roles available for that industry." container="body">
                                      <i class="fas fa-info-circle"></i>
                                    </a>
                                  </label>
                                </div>
                                <div class="col-8">
                                    <ng-select formControlName="roleId"  [multiple]="true" [closeOnSelect]="false" [searchable]="false" placeholder="Select Job Role" dropdownPosition="bottom"  (change)="getSkills($event)">
                                        <ng-option [value]='industry.jobRoleId' *ngFor="let industry of jobRoleList"  >
                                            {{industry?.industryName[0]}} - {{industry?.jobRoleName}}
                                        </ng-option>
                                    </ng-select>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-4">
                                  <label class="with-info">
                                    Skills
                                    <a href="javascript:void(0)" class="form-info ml-2" tooltip="Please select Your Industry and Role to get the Skills available for the Role." container="body">
                                      <i class="fas fa-info-circle"></i>
                                    </a>
                                  </label>
                                </div>
                                <div class="col-8">
                                    <!-- <ng-select formControlName="skillValues" [items]="skillList" [multiple]="true" [closeOnSelect]="false" [searchable]="false" bindLabel="skillName" bindValue="skillId" placeholder="Select Skills" dropdownPosition="bottom"></ng-select> -->
                                       <ng-select formControlName="skillValues"  [multiple]="true" [closeOnSelect]="false" [searchable]="false" placeholder="Select Skills" dropdownPosition="bottom">
                                    <ng-option [value]='skill.skillId' *ngFor='let skill of skillList'>{{skill?.skillName}}</ng-option>
                                </ng-select>
                                </div>
                             
                            </div>
                        </div>
                        <div class="form-group p-0">
                            <div class="row">
                                <div class="col-4 pb-3">
                                  <label class="with-info">
                                    Location
                                    <a href="javascript:void(0)" class="form-info ml-2" tooltip="Default Search is valid on the location provided by you in your details, to search with another location please select location search." container="body">
                                      <i class="fas fa-info-circle"></i>
                                    </a>
                                  </label>
                                </div>
                                <div class="col-8 pb-3">
                                    <input type="text" formControlName="location" name="" class="form-control" placeholder="Choose Location" (keyup)="resetValue()" #locationInput>
                                    <!-- Error Messages -->
                                    <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.location">
                                        <span *ngIf="jobSearchForm.get('location').hasError(validation.type) && (jobSearchForm.get('location').dirty || jobSearchForm.get('location').touched)">
                                            {{validation.message}}
                                        </span>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-4"><label>Job Type</label></div>
                                <div class="col-8">
                                    <ng-select formControlName="jobType" [items]="jobTypeList" [multiple]="true" [closeOnSelect]="false" [searchable]="false" bindLabel="name" bindValue="value" placeholder="Select Job Type" dropdownPosition="bottom">
                                    </ng-select>
                                </div>
                            </div>
                        </div>
                        <!-- <div class="form-group">
                            <div class="row">
                                <div class="col-4"><label>Pay Type</label></div>
                                <div class="col-8">
                                    <ng-select formControlName="payType" [items]="payTypeList" [multiple]="true"   [searchable]="false" bindLabel="name" bindValue="value" placeholder="Select Pay Type" dropdownPosition="bottom">
                                    </ng-select>
                                </div>
                            </div>
                        </div> -->
                        <div class="form-group p-0">
                            <div class="row">
                                <div class="col-4 pb-3"><label>Hours</label></div>
                                <div class="col-8 pb-3">
                                    <input type="text" name="" class="form-control" placeholder="Hours Willing To Work Per Week" formControlName="duration">
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.onlyNumber">
                                      <span  *ngIf="jobSearchForm.get('duration').hasError(validation.type) && (jobSearchForm.get('duration').dirty || jobSearchForm.get('duration').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <!-- <div class="form-group p-0">
                            <div class="row">
                                <div class="col-4 pb-3"><label>Hours</label></div>
                                <div class="col-8 pb-3">
                                    <input type="text" name="" class="form-control" placeholder="Hours Per Week" formControlName="hours">
                                    <span class="col-12 help-block bottom fs12 text-left t-red" *ngFor="let validation of errors.onlyNumber">
                                      <span  *ngIf="jobSearchForm.get('hours').hasError(validation.type) && (jobSearchForm.get('hours').dirty || jobSearchForm.get('hours').touched)">
                                          {{validation.message}}
                                      </span>
                                    </span>
                                </div>
                            </div>
                        </div> -->
                        
                        <div class="form-group text-center">
                            <!-- Submitting form via click not via default form submit because of Google places autocomplete Enter event -->
                            <input type="button" name="" value="Search" class="btn" (click)="searchJob()">
                        </div>
                      </form>
                  </div>
              </div>
          </div>    
      </div>
  </div>
</div>